skb_cloned
Prev | Socket Buffer Functions | Next

## Name

skb_cloned — is the buffer a clone

## Synopsis

`int skb_cloned (` | const struct sk_buff * | skb`)`;

## Arguments

`skb`

  buffer to check

## Description

Returns true if the buffer was generated with `skb_clone` and is one of multiple shared copies of the buffer. Cloned buffers are shared data so must not be written to under normal circumstances.

Prev | Up | Next
skb_get | Home | skb_header_cloned